<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_cocl.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Suivi contrats &agrave; renouveler</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">

<?php
include_once("entete.inc.php"); 
?>
<p align="center"><span class="titrepage">LISTE DES CONTRATS RECUS &amp; SIGNES </span></p>
<p align="center">(Et pas encore renouvel&eacute;s) </p>
<?PHP
// $fic_imp = "coclren_lsti.php";

$preavis_mini = preavis_min();

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

$rech = cree_strrechlstcoclr();
if (@$_SESSION["niv_log"] == 4)
{
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_codeage='".@$_SESSION["code_age"]."' AND ".TBCOCL.".cocl_daterec <> '0000-00-00'";
	else
		$rech .= " AND ".TBCOCL.".cocl_codeage='".@$_SESSION["code_age"]."' AND ".TBCOCL.".cocl_daterec <> '0000-00-00'";
		
}
else
{
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_daterec <> '0000-00-00'";
	else
		$rech .= " AND ".TBCOCL.".cocl_daterec <> '0000-00-00'";
}
		
$rech .= crestr_triord($coclr_titre_col,"cocl_code",FALSE,$limit);

$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête


// *** Pagination
if(empty($_GET['page']))$_GET['page'] = 0; // Valeur de par défaut du nombre de pages

$pages = intval($numrows/$limit); // Nombre total de pages

if($numrows%$limit) $pages++; // S'il y a un reste à la division, alors page+1
$current = ($_GET['page']/$limit) + 1; // Numéro de page courante
	
if(($pages < 1) || ($pages == 0)) 
  $total = 1; // Si le nombre de pages est inférieur à 1 ou égal à 0, alors le nombre total de pages est 1
else 
 $total = $pages; // Sinon, on conserve la variable $page telle qu'elle
	
$first = $_GET['page'] + 1; // Premier résultat
	
if(((($_GET['page'] + $limit) / $limit) >= $pages) && $pages != 1) 
	 $last = $_GET['page'] + $limit; // Si ce n'est pas la dernière page de résultats, alors la dernière page de résultat est $page + $limit
else
	$last = $numrows; // Si c'est la dernière page de résultats, le dernier résultat est égal au nombre total de résultats
// *** Fin de Pagination

if($numrows == 0)
{
	retpp();
}
 else
{
	include_once("formr.inc.php"); 

	$rech = cree_strrechlstcoclr();
	if (@$_SESSION["niv_log"] == 4)
	{
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE ".TBCOCL.".cocl_codeage='".@$_SESSION["code_age"]."' AND ".TBCOCL.".cocl_daterec <> '0000-00-00'";
		else
			$rech .= " AND ".TBCOCL.".cocl_codeage='".@$_SESSION["code_age"]."' AND ".TBCOCL.".cocl_daterec <> '0000-00-00'";
			
	}
	else
	{
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE ".TBCOCL.".cocl_daterec <> '0000-00-00'";
		else
			$rech .= " AND ".TBCOCL.".cocl_daterec <> '0000-00-00'";
	}
			
		
	$rech .= crestr_triord($coclr_titre_col,"cocl_code",TRUE,$limit);

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs);

		
	// *** Affichage de la table
	 echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titlst(TRUE,$coclr_titre_col);
	echo "<th>".ucfirst("Date butoir<br>de relance")."</th>\n";
	echo "<th>".ucfirst("Cliquer")."</th>\n";
		
	
	$i = 0;
	
	while ($row = mysql_fetch_assoc($rs)) 
	{         
	 // Affichage résumé Contrat Client

		// Création de l'entête de ligne (TR)
		creetrlst($i);

		 echo "<td>".$row["cocl_code"];
		 

		 // CREATION d'icône si terminé
		  if (formatedate($row["cocl_datefin"]) <> "")
		  {
			$lst_fini = TRUE;

			 echo " <img src=\"../img/warn.gif\" title =\"Terminé le ".formatedate($row["cocl_datefin"])."\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
		  }
		  
		 // Détail contrat
		 echo "<br>";
		 echo "<span class=\"annot_petit_it\">";
		 $rech2 = "SELECT * FROM " .TBCO. " WHERE co_code = '".$row["cocl_codeco"]."'";
		 $rs2 = mysql_query($rech2) or die(mysql_error());
		 if ($row2 = mysql_fetch_array($rs2))
		 {
			$txt = formatetxt($row2["co_nom"]);
			$txt = cesuretxt($txt,50);
			echo "->".$txt;
		 }
		 echo "</span>";

		// Vérifie échéances et soldes horaires
		if (formatedate($row["cocl_datefin"])=="")
		{
			if (formatedate($row["cocl_datef"])<>"")
			{
				echo "<div align=\"right\" class=\"annot_petit_it\">";
				if (echeance_depassee_date($datea,$row["cocl_datef"])==FALSE)
				{
					$nb_jours_restants=diff_date_jours($datea,$row["cocl_datef"],TRUE);
					echo "Ech&eacute;ance dans ".$nb_jours_restants." jours";
				}
				else
					echo "Contrat termin&eacute;";
				echo "</div>";
			}
			
			if ($row["cocl_typh"]==1)
			{
				echo "<div align=\"right\" class=\"annot_petit_it\">";
				echo "Temps restant ".sec_heure($row["cocl_soldes"]);
				echo "</div>";
			}
		}
		else
		{
			echo "<div align=\"right\" class=\"annot_petit_it\">";
			echo "Contrat termin&eacute;";
			echo "</div>";
		}
		 echo "</td>\n";

		 echo "<td>".$row["cocl_codecli"];

		 // Affichage détail client

			 $detailcli = "->";
			 if ($row["cli_ste"] <> "")
				$detailcli .= $row["cli_ste"].", ";
			 $detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
			 echo "<br>";
			 echo "<span class=\"annot_std_it\">";
			 echo htmlspecialchars($detailcli,ENT_NOQUOTES);
			 echo "</span>";
	
		 // Fin affichage détail client

		 echo "</td>\n";

		 echo "<td>".formatedate($row["cocl_datecrea"])."</td>\n";
		 echo "<td>".formatedate($row["cocl_dated"])."</td>\n";
		 echo "<td>";
		 if (formatedate($row["cocl_datef"]) == "")
		 {
			echo "<div align=\"center\">";
			echo "-";
			echo "</div>";
		 }
		 else
			echo formatedate($row["cocl_datef"]);
		 echo "</td>\n";
		 echo "<td>";
		 if (formatedate($row["cocl_daterel"]) == "")
		 {
			echo "<div align=\"center\">";
			echo "-";
			echo "</div>";
		 }
		 else
		 {
			echo formatedate($row["cocl_daterel"]);

			 // Affichage Nombre relances
	
				 $nbrel = "";
				 switch ($row["cocl_nivrel"])
				 {
					case 0 : $nbrel = "";
							 break;
					case 1 : $nbrel = " (1&egrave;re fois)";
							 break;
					case 2 : $nbrel = " (2nde fois)";
							 break;
							 
				   default : $nbrel = " (".$row["cocl_nivrel"]."&egrave;me fois)";
							 break;
				 }
				 if ($nbrel <> "")
				 {
					 echo "<br>";
					 echo "<span class=\"annot_petit_it\">";
					 echo $nbrel;
					 echo "</span>";
				 }
		
			 // Fin affichage Nombre relances

		 }
		 echo "</td>\n";

		 echo "<td>";

		 // Affichage date butoir pour relance
		 
		 echo "<div align=\"center\">";
		 if (formatedate($row["cocl_datef"]) <> "") // Uniquement si date de fin
		 {
			if (formatedate($row["cocl_daterec"]) <> "") // Uniquement si reçu
			{
				 $datemin = nouv_date_moins_jours($row["cocl_datef"],$preavis_mini);
				 $datebut = nouv_date_moins_jours($row["cocl_datef"],$row["cocl_preavis"]);
				 echo formatedate($datebut);

				 // Si c'est trop tôt (date mini de préavis < aujourd'hui) on affiche une icône complémentaire
				 if (comp_date($datemin,$datea) == FALSE)
				 {
					$lst_ttot = TRUE;
				 
					echo " ";
					echo "<img src=\"../img/tot.gif\" title=\"Trop tôt (à partir du ".formatedate($datemin).")\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
				 }
	
				 // Si c'est trop tard (aujourd'hui > date butoir) on affiche une icône complémentaire
				 if (comp_date($datea,$datebut) == FALSE)
				 {
					$lst_ttard = TRUE;
				 
					echo " ";
					echo "<img src=\"../img/tard.gif\" title=\"Trop tard (depuis le ".formatedate($datebut).")\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
				 }
			 }
			 else
			 {
				echo "(pas reçu)";
			 }
		 }
		 else
		 {
			echo "(illimité)";
		 }
		 echo "</div>";
	
		 // Fin affichage détail renouvelé

		 echo "</td>\n";

		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		 echo "<td>";
		 echo "<div align=\"center\">";

		 $renouv=TRUE;
		// Si le contrat n'a pas encore été renouvellé, on peut renouveller
		if ($row["cocl_renouv"] == 1)
		{
			$renouv=FALSE;
		}

		if ($renouv==TRUE)
		{
			$lst_ren = TRUE;
			echo "<a href=\"coclren_maj.php?co=".$row["cocl_code"]."\"><img src=\"../img/renouv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
		}
		else
		{
			echo "-";
		}
		 echo "</div>";
		 echo "</td>\n";

		 echo "</tr>\n";
	 // Fin affichage résumé Contrat Client
		
		$i++;    
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	
	// *** Pagination de pied
	echo "<table width=\"100%\" border=\"0\">
	<tr>
	<td align=\"center\">\n";
		
	if (!empty($_GET['page']) && $_GET['page'] > 0)
	{
	   $back_page = $_GET['page'] - $limit;
	   $url = $_SERVER["PHP_SELF"]."?page=$back_page";
	
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
	   
	   
	   echo "<a href=\"$url\"><img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>    \n";
	}
	 
	// Boucle sur chaque page et CREATION d'un lien sur celle-ci
	// Pas de page s'il n'y a seulement qu'une page
	if($pages > 1)
	{
	 for ($i=1; $i <= $pages; $i++) 
	 {
	   $ppage = $limit*($i - 1);
	   if ($ppage == $_GET['page'])
		  echo("<span class=\"psel\">$i</span> \n");
	   else
	   {
		  $url = $_SERVER["PHP_SELF"]."?page=$ppage";
						  
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
						  
		  echo("<span class=\"pnsel\"><a href=\"$url\">$i</a></span> \n");
	   }
	 }
	}
	
	if(((($_GET['page']+$limit) / $limit) < $pages) && $pages != 1) 
	{   
	   $next_page = $_GET['page'] + $limit; // Si c'est la dernière page, pas de page suivante
	   $url = $_SERVER["PHP_SELF"]."?page=$next_page";
		
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
	   
	   echo "    <a href=\"$url\"><img src=\"../img/suiv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>\n";
	}
	 
	echo "</td>
		 </tr>
		 </table>"; 

	// *** Fin de pagination de pied	

	mysql_close($conn);  
	
	$taille_piedla="";
	include_once("piedla.inc.php");
}
include_once("pied.php");
?>
